@Radiss

Почему не устанавливается vui-clii?

win 10

при установке 2 версии вылазило

spoiler

info it worked if it ends with ok
1 verbose cli [ 'D:\\programms\\NODEjs\\node.exe',
1 verbose cli   'D:\\programms\\NODEjs\\node_modules\\npm\\bin\\npm-cli.js',
1 verbose cli   'run',
1 verbose cli   'dev' ]
2 info using npm@6.9.0
3 info using node@v10.16.0
4 verbose run-script [ 'predev', 'dev', 'postdev' ]
5 info lifecycle vue-project@1.0.0~predev: vue-project@1.0.0
6 info lifecycle vue-project@1.0.0~dev: vue-project@1.0.0
7 verbose lifecycle vue-project@1.0.0~dev: unsafe-perm in lifecycle true
8 verbose lifecycle vue-project@1.0.0~dev: PATH: D:\programms\NODEjs\node_modules\npm\node_modules\npm-lifecycle\node-gyp-bin;D:\ASITES\vue\node_modules\.bin;C:\Users\user\bin;D:\programms\Git\mingw64\bin;D:\programms\Git\usr\local\bin;D:\programms\Git\usr\bin;D:\programms\Git\usr\bin;D:\programms\Git\mingw64\bin;D:\programms\Git\usr\bin;C:\Users\user\bin;C:\ProgramData\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0;D:\Open Server\OpenServer\modules\Git\cmd;D:\Git\cmd;C:\ProgramData\ComposerSetup\bin;C:\Program Files\Java\jdk1.8.0_131\bin;C:\Program Files\Java\jre1.8.0_131\bin;D:\programms;C:\WINDOWS\System32\OpenSSH;.;C:\Program Files\wget";D:\OpenServer\OSPanel\modules\php\PHP-7.2-x64;D:\programms\Git\cmd;D:\programms\NODEjs;C:\Users\user\AppData\Local\Microsoft\WindowsApps;C:\Users\user\AppData\Roaming\Composer\vendor\bin;C:\Users\user\AppData\Local\GitHubDesktop\bin;C:\Users\user\AppData\Local\Microsoft\WindowsApps;D:\Open Server\OSPanel\modules\php\PHP-7.2-x64;C:\Users\user\AppData\Roaming\npm;D:\programms\Git\usr\bin\vendor_perl;D:\programms\Git\usr\bin\core_perl
9 verbose lifecycle vue-project@1.0.0~dev: CWD: D:\ASITES\vue
10 silly lifecycle vue-project@1.0.0~dev: Args: [ '/d /s /c',
10 silly lifecycle   'cross-env NODE_ENV=development webpack-dev-server --open --hot' ]
11 silly lifecycle vue-project@1.0.0~dev: Returned: code: 1  signal: null
12 info lifecycle vue-project@1.0.0~dev: Failed to exec dev script
13 verbose stack Error: vue-project@1.0.0 dev: `cross-env NODE_ENV=development webpack-dev-server --open --hot`
13 verbose stack Exit status 1
13 verbose stack     at EventEmitter.<anonymous> (D:\programms\NODEjs\node_modules\npm\node_modules\npm-lifecycle\index.js:301:16)
13 verbose stack     at EventEmitter.emit (events.js:198:13)
13 verbose stack     at ChildProcess.<anonymous> (D:\programms\NODEjs\node_modules\npm\node_modules\npm-lifecycle\lib\spawn.js:55:14)
13 verbose stack     at ChildProcess.emit (events.js:198:13)
13 verbose stack     at maybeClose (internal/child_process.js:982:16)
13 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:259:5)
14 verbose pkgid vue-project@1.0.0
15 verbose cwd D:\ASITES\vue
16 verbose Windows_NT 10.0.17134
17 verbose argv "D:\\programms\\NODEjs\\node.exe" "D:\\programms\\NODEjs\\node_modules\\npm\\bin\\npm-cli.js" "run" "dev"
18 verbose node v10.16.0
19 verbose npm  v6.9.0
20 error code ELIFECYCLE
21 error errno 1
22 error vue-project@1.0.0 dev: `cross-env NODE_ENV=development webpack-dev-server --open --hot`
22 error Exit status 1
23 error Failed at the vue-project@1.0.0 dev script.
23 error This is probably not a problem with npm. There is likely additional logging output above.
24 verbose exit [ 1, true ]



Пробую ставить 3 версию

npm install -g @vue/cli

в систем перем прописан путь C:\Users\user\AppData\Roaming\npm

в консоли
spoiler

npm install -g @vue/cli
C:\Users\user\AppData\Roaming\npm\vue -> C:\Users\user\AppData\Roaming\npm\node_modules\@vue\cli\bin\vue.js

> core-js@3.2.1 postinstall C:\Users\user\AppData\Roaming\npm\node_modules\@vue\cli\node_modules\core-js
> node scripts/postinstall || echo "ignore"

"node" ▒▒ ▒▒▒▒ ▒▒▒▒७▒▒▒ ▒▒▒ ▒▒▒譥▒
▒▒▒▒▒▒▒▒, ▒ᯮ▒▒塞▒▒ ▒ணࠬ▒▒▒ ▒▒▒ ▒▒▒▒▒▒ 䠩▒▒▒.
"ignore"

> protobufjs@6.8.8 postinstall C:\Users\user\AppData\Roaming\npm\node_modules\@vue\cli\node_modules\protobufjs
> node scripts/postinstall

"node" ▒▒ ▒▒▒▒ ▒▒▒▒७▒▒▒ ▒▒▒ ▒▒▒譥▒
▒▒▒▒▒▒▒▒, ▒ᯮ▒▒塞▒▒ ▒ணࠬ▒▒▒ ▒▒▒ ▒▒▒▒▒▒ 䠩▒▒▒.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules\@vue\cli\node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! protobufjs@6.8.8 postinstall: `node scripts/postinstall`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the protobufjs@6.8.8 postinstall script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

  • Вопрос задан
  • 45 просмотров
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы